Get bill-to by shipToId [Deprecated] - Fabric

Get bill-to by shipToId [Deprecated]

cURL

curl --request GET \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-cart/bill-to/ship-to/{shipToId}
import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-cart/bill-to/ship-to/{shipToId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-cart/bill-to/ship-to/{shipToId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Response Codes

Sample Response

{
  "shipMethod": {
    "shipMethodId": "1a2b3c4d5e6f7g8h9i0j",
    "shipmentCarrier": "Fedex",
    "shipmentMethod": "Next Day",
    "cost": {
      "currency": "USD",
      "amount": 5.99
    }
  },
  "address": {
    "street1": "123 Main Street",
    "city": "Seattle",
    "state": "WA",
    "country": "United States of America",
    "zipCode": "10008-1234",
    "name": {
      "first": "John",
      "last": "Smith"
    },
    "email": "johnsmith@fabric.inc",
    "attention": "Leave at the back door.",
    "street2": "ABC Boulevard",
    "kind": "TBD",
    "phone": {
      "number": "123-456-7890",
      "kind": "Mobile"
    }
  },
  "billTo": [
    {
      "paymentMethod": "Visa Credit",
      "cardIdentifier": "1234",
      "amount": 149.99,
      "address": {
        "street1": "123 Main Street",
        "city": "Seattle",
        "state": "WA",
        "country": "United States of America",
        "zipCode": "10008-1234",
        "name": {
          "first": "John",
          "last": "Smith"
        },
        "email": "johnsmith@fabric.inc",
        "attention": "Leave at the back door.",
        "street2": "ABC Boulevard",
        "kind": "TBD",
        "phone": {
          "number": "123-456-7890",
          "kind": "Mobile"
        }
      },
      "billToId": 1,
      "cart": "5e5818a84d030c206b2ffb02",
      "_id": "5fee9d59f2f08a1b3cbdea08",
      "createdAt": "2020-12-31T02:09:53.914Z",
      "updatedAt": "2020-12-31T02:09:53.914Z",
      "__v": 0
    }
  ],
  "shipToType": "SHIP_TO_ADDRESS",
  "taxCode": "FR1000",
  "shipToId": 1,
  "__v": 0,
  "cartId": "5e5818a84d030c206b2ffb02",
  "_id": "5fee9d59f2f08a1b3cbdea08",
  "createdAt": "2020-12-31T02:09:53.914Z",
  "updatedAt": "2020-12-31T02:09:53.914Z"
}

Error Response

{
  "code": "SHIPTO_NOT_FOUND",
  "message": "Ship-to not found."
}

Path Parameters

Additional Response Attributes